### YamlMime:ManagedReference
items:
- uid: Voile.Utils.Logger
  commentId: T:Voile.Utils.Logger
  id: Logger
  parent: Voile.Utils
  children:
  - Voile.Utils.Logger.#ctor(System.String)
  - Voile.Utils.Logger.Echo(System.String)
  - Voile.Utils.Logger.Error(System.String,System.String)
  - Voile.Utils.Logger.Info(System.String,System.String)
  - Voile.Utils.Logger.LogLevel
  - Voile.Utils.Logger.LogPath
  - Voile.Utils.Logger.MaxLogFiles
  - Voile.Utils.Logger.OnLog
  - Voile.Utils.Logger.Warn(System.String,System.String)
  - Voile.Utils.Logger.WriteToFile
  langs:
  - csharp
  - vb
  name: Logger
  nameWithType: Logger
  fullName: Voile.Utils.Logger
  type: Class
  source:
    remote:
      path: Voile/Source/Utils/Logger.cs
      branch: main
      repo: git@github.com:dnesov/DaggerFramework.git
    id: Logger
    path: Source/Utils/Logger.cs
    startLine: 6
  assemblies:
  - Voile
  namespace: Voile.Utils
  syntax:
    content: public class Logger
    content.vb: Public Class Logger
  inheritance:
  - System.Object
  inheritedMembers:
  - System.Object.Equals(System.Object)
  - System.Object.Equals(System.Object,System.Object)
  - System.Object.GetHashCode
  - System.Object.GetType
  - System.Object.MemberwiseClone
  - System.Object.ReferenceEquals(System.Object,System.Object)
  - System.Object.ToString
- uid: Voile.Utils.Logger.OnLog
  commentId: F:Voile.Utils.Logger.OnLog
  id: OnLog
  parent: Voile.Utils.Logger
  langs:
  - csharp
  - vb
  name: OnLog
  nameWithType: Logger.OnLog
  fullName: Voile.Utils.Logger.OnLog
  type: Field
  source:
    remote:
      path: Voile/Source/Utils/Logger.cs
      branch: main
      repo: git@github.com:dnesov/DaggerFramework.git
    id: OnLog
    path: Source/Utils/Logger.cs
    startLine: 8
  assemblies:
  - Voile
  namespace: Voile.Utils
  syntax:
    content: public static Action<string, LogLevel>? OnLog
    return:
      type: System.Action{System.String,Voile.Utils.LogLevel}
    content.vb: Public Shared OnLog As Action(Of String, LogLevel)
- uid: Voile.Utils.Logger.LogPath
  commentId: P:Voile.Utils.Logger.LogPath
  id: LogPath
  parent: Voile.Utils.Logger
  langs:
  - csharp
  - vb
  name: LogPath
  nameWithType: Logger.LogPath
  fullName: Voile.Utils.Logger.LogPath
  type: Property
  source:
    remote:
      path: Voile/Source/Utils/Logger.cs
      branch: main
      repo: git@github.com:dnesov/DaggerFramework.git
    id: LogPath
    path: Source/Utils/Logger.cs
    startLine: 9
  assemblies:
  - Voile
  namespace: Voile.Utils
  syntax:
    content: public static string LogPath { get; set; }
    parameters: []
    return:
      type: System.String
    content.vb: Public Shared Property LogPath As String
  overload: Voile.Utils.Logger.LogPath*
- uid: Voile.Utils.Logger.MaxLogFiles
  commentId: P:Voile.Utils.Logger.MaxLogFiles
  id: MaxLogFiles
  parent: Voile.Utils.Logger
  langs:
  - csharp
  - vb
  name: MaxLogFiles
  nameWithType: Logger.MaxLogFiles
  fullName: Voile.Utils.Logger.MaxLogFiles
  type: Property
  source:
    remote:
      path: Voile/Source/Utils/Logger.cs
      branch: main
      repo: git@github.com:dnesov/DaggerFramework.git
    id: MaxLogFiles
    path: Source/Utils/Logger.cs
    startLine: 14
  assemblies:
  - Voile
  namespace: Voile.Utils
  summary: Maximum amount of log files in a log folder. If it reaches the limit, all logs will be written to <code>voile-latest.log</code> instead of creating a new one.
  example: []
  syntax:
    content: public static int MaxLogFiles { get; set; }
    parameters: []
    return:
      type: System.Int32
    content.vb: Public Shared Property MaxLogFiles As Integer
  overload: Voile.Utils.Logger.MaxLogFiles*
- uid: Voile.Utils.Logger.LogLevel
  commentId: F:Voile.Utils.Logger.LogLevel
  id: LogLevel
  parent: Voile.Utils.Logger
  langs:
  - csharp
  - vb
  name: LogLevel
  nameWithType: Logger.LogLevel
  fullName: Voile.Utils.Logger.LogLevel
  type: Field
  source:
    remote:
      path: Voile/Source/Utils/Logger.cs
      branch: main
      repo: git@github.com:dnesov/DaggerFramework.git
    id: LogLevel
    path: Source/Utils/Logger.cs
    startLine: 19
  assemblies:
  - Voile
  namespace: Voile.Utils
  summary: Specifies the logging level. In release builds, the log level is <code>Error</code>. In debug, the log level is <code>Echo</code>.
  example: []
  syntax:
    content: public static LogLevel LogLevel
    return:
      type: Voile.Utils.LogLevel
    content.vb: Public Shared LogLevel As LogLevel
- uid: Voile.Utils.Logger.WriteToFile
  commentId: F:Voile.Utils.Logger.WriteToFile
  id: WriteToFile
  parent: Voile.Utils.Logger
  langs:
  - csharp
  - vb
  name: WriteToFile
  nameWithType: Logger.WriteToFile
  fullName: Voile.Utils.Logger.WriteToFile
  type: Field
  source:
    remote:
      path: Voile/Source/Utils/Logger.cs
      branch: main
      repo: git@github.com:dnesov/DaggerFramework.git
    id: WriteToFile
    path: Source/Utils/Logger.cs
    startLine: 23
  assemblies:
  - Voile
  namespace: Voile.Utils
  summary: Specifies if the logger should write to file.
  example: []
  syntax:
    content: public static bool WriteToFile
    return:
      type: System.Boolean
    content.vb: Public Shared WriteToFile As Boolean
- uid: Voile.Utils.Logger.#ctor(System.String)
  commentId: M:Voile.Utils.Logger.#ctor(System.String)
  id: '#ctor(System.String)'
  parent: Voile.Utils.Logger
  langs:
  - csharp
  - vb
  name: Logger(string)
  nameWithType: Logger.Logger(string)
  fullName: Voile.Utils.Logger.Logger(string)
  type: Constructor
  source:
    remote:
      path: Voile/Source/Utils/Logger.cs
      branch: main
      repo: git@github.com:dnesov/DaggerFramework.git
    id: .ctor
    path: Source/Utils/Logger.cs
    startLine: 25
  assemblies:
  - Voile
  namespace: Voile.Utils
  syntax:
    content: public Logger(string className)
    parameters:
    - id: className
      type: System.String
    content.vb: Public Sub New(className As String)
  overload: Voile.Utils.Logger.#ctor*
  nameWithType.vb: Logger.New(String)
  fullName.vb: Voile.Utils.Logger.New(String)
  name.vb: New(String)
- uid: Voile.Utils.Logger.Echo(System.String)
  commentId: M:Voile.Utils.Logger.Echo(System.String)
  id: Echo(System.String)
  parent: Voile.Utils.Logger
  langs:
  - csharp
  - vb
  name: Echo(string)
  nameWithType: Logger.Echo(string)
  fullName: Voile.Utils.Logger.Echo(string)
  type: Method
  source:
    remote:
      path: Voile/Source/Utils/Logger.cs
      branch: main
      repo: git@github.com:dnesov/DaggerFramework.git
    id: Echo
    path: Source/Utils/Logger.cs
    startLine: 58
  assemblies:
  - Voile
  namespace: Voile.Utils
  syntax:
    content: public void Echo(string what)
    parameters:
    - id: what
      type: System.String
    content.vb: Public Sub Echo(what As String)
  overload: Voile.Utils.Logger.Echo*
  nameWithType.vb: Logger.Echo(String)
  fullName.vb: Voile.Utils.Logger.Echo(String)
  name.vb: Echo(String)
- uid: Voile.Utils.Logger.Info(System.String,System.String)
  commentId: M:Voile.Utils.Logger.Info(System.String,System.String)
  id: Info(System.String,System.String)
  parent: Voile.Utils.Logger
  langs:
  - csharp
  - vb
  name: Info(string, string)
  nameWithType: Logger.Info(string, string)
  fullName: Voile.Utils.Logger.Info(string, string)
  type: Method
  source:
    remote:
      path: Voile/Source/Utils/Logger.cs
      branch: main
      repo: git@github.com:dnesov/DaggerFramework.git
    id: Info
    path: Source/Utils/Logger.cs
    startLine: 67
  assemblies:
  - Voile
  namespace: Voile.Utils
  syntax:
    content: public void Info(string what, string method = "")
    parameters:
    - id: what
      type: System.String
    - id: method
      type: System.String
    content.vb: Public Sub Info(what As String, method As String = "")
  overload: Voile.Utils.Logger.Info*
  nameWithType.vb: Logger.Info(String, String)
  fullName.vb: Voile.Utils.Logger.Info(String, String)
  name.vb: Info(String, String)
- uid: Voile.Utils.Logger.Warn(System.String,System.String)
  commentId: M:Voile.Utils.Logger.Warn(System.String,System.String)
  id: Warn(System.String,System.String)
  parent: Voile.Utils.Logger
  langs:
  - csharp
  - vb
  name: Warn(string, string)
  nameWithType: Logger.Warn(string, string)
  fullName: Voile.Utils.Logger.Warn(string, string)
  type: Method
  source:
    remote:
      path: Voile/Source/Utils/Logger.cs
      branch: main
      repo: git@github.com:dnesov/DaggerFramework.git
    id: Warn
    path: Source/Utils/Logger.cs
    startLine: 77
  assemblies:
  - Voile
  namespace: Voile.Utils
  syntax:
    content: public void Warn(string what, string method = "")
    parameters:
    - id: what
      type: System.String
    - id: method
      type: System.String
    content.vb: Public Sub Warn(what As String, method As String = "")
  overload: Voile.Utils.Logger.Warn*
  nameWithType.vb: Logger.Warn(String, String)
  fullName.vb: Voile.Utils.Logger.Warn(String, String)
  name.vb: Warn(String, String)
- uid: Voile.Utils.Logger.Error(System.String,System.String)
  commentId: M:Voile.Utils.Logger.Error(System.String,System.String)
  id: Error(System.String,System.String)
  parent: Voile.Utils.Logger
  langs:
  - csharp
  - vb
  name: Error(string, string)
  nameWithType: Logger.Error(string, string)
  fullName: Voile.Utils.Logger.Error(string, string)
  type: Method
  source:
    remote:
      path: Voile/Source/Utils/Logger.cs
      branch: main
      repo: git@github.com:dnesov/DaggerFramework.git
    id: Error
    path: Source/Utils/Logger.cs
    startLine: 87
  assemblies:
  - Voile
  namespace: Voile.Utils
  syntax:
    content: public void Error(string what, string method = "")
    parameters:
    - id: what
      type: System.String
    - id: method
      type: System.String
    content.vb: Public Sub [Error](what As String, method As String = "")
  overload: Voile.Utils.Logger.Error*
  nameWithType.vb: Logger.Error(String, String)
  fullName.vb: Voile.Utils.Logger.Error(String, String)
  name.vb: Error(String, String)
references:
- uid: Voile.Utils
  commentId: N:Voile.Utils
  href: Voile.html
  name: Voile.Utils
  nameWithType: Voile.Utils
  fullName: Voile.Utils
  spec.csharp:
  - uid: Voile
    name: Voile
    href: Voile.html
  - name: .
  - uid: Voile.Utils
    name: Utils
    href: Voile.Utils.html
  spec.vb:
  - uid: Voile
    name: Voile
    href: Voile.html
  - name: .
  - uid: Voile.Utils
    name: Utils
    href: Voile.Utils.html
- uid: System.Object
  commentId: T:System.Object
  parent: System
  isExternal: true
  href: https://learn.microsoft.com/dotnet/api/system.object
  name: object
  nameWithType: object
  fullName: object
  nameWithType.vb: Object
  fullName.vb: Object
  name.vb: Object
- uid: System.Object.Equals(System.Object)
  commentId: M:System.Object.Equals(System.Object)
  parent: System.Object
  isExternal: true
  href: https://learn.microsoft.com/dotnet/api/system.object.equals#system-object-equals(system-object)
  name: Equals(object)
  nameWithType: object.Equals(object)
  fullName: object.Equals(object)
  nameWithType.vb: Object.Equals(Object)
  fullName.vb: Object.Equals(Object)
  name.vb: Equals(Object)
  spec.csharp:
  - uid: System.Object.Equals(System.Object)
    name: Equals
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.object.equals#system-object-equals(system-object)
  - name: (
  - uid: System.Object
    name: object
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.object
  - name: )
  spec.vb:
  - uid: System.Object.Equals(System.Object)
    name: Equals
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.object.equals#system-object-equals(system-object)
  - name: (
  - uid: System.Object
    name: Object
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.object
  - name: )
- uid: System.Object.Equals(System.Object,System.Object)
  commentId: M:System.Object.Equals(System.Object,System.Object)
  parent: System.Object
  isExternal: true
  href: https://learn.microsoft.com/dotnet/api/system.object.equals#system-object-equals(system-object-system-object)
  name: Equals(object, object)
  nameWithType: object.Equals(object, object)
  fullName: object.Equals(object, object)
  nameWithType.vb: Object.Equals(Object, Object)
  fullName.vb: Object.Equals(Object, Object)
  name.vb: Equals(Object, Object)
  spec.csharp:
  - uid: System.Object.Equals(System.Object,System.Object)
    name: Equals
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.object.equals#system-object-equals(system-object-system-object)
  - name: (
  - uid: System.Object
    name: object
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.object
  - name: ','
  - name: " "
  - uid: System.Object
    name: object
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.object
  - name: )
  spec.vb:
  - uid: System.Object.Equals(System.Object,System.Object)
    name: Equals
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.object.equals#system-object-equals(system-object-system-object)
  - name: (
  - uid: System.Object
    name: Object
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.object
  - name: ','
  - name: " "
  - uid: System.Object
    name: Object
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.object
  - name: )
- uid: System.Object.GetHashCode
  commentId: M:System.Object.GetHashCode
  parent: System.Object
  isExternal: true
  href: https://learn.microsoft.com/dotnet/api/system.object.gethashcode
  name: GetHashCode()
  nameWithType: object.GetHashCode()
  fullName: object.GetHashCode()
  nameWithType.vb: Object.GetHashCode()
  fullName.vb: Object.GetHashCode()
  spec.csharp:
  - uid: System.Object.GetHashCode
    name: GetHashCode
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.object.gethashcode
  - name: (
  - name: )
  spec.vb:
  - uid: System.Object.GetHashCode
    name: GetHashCode
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.object.gethashcode
  - name: (
  - name: )
- uid: System.Object.GetType
  commentId: M:System.Object.GetType
  parent: System.Object
  isExternal: true
  href: https://learn.microsoft.com/dotnet/api/system.object.gettype
  name: GetType()
  nameWithType: object.GetType()
  fullName: object.GetType()
  nameWithType.vb: Object.GetType()
  fullName.vb: Object.GetType()
  spec.csharp:
  - uid: System.Object.GetType
    name: GetType
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.object.gettype
  - name: (
  - name: )
  spec.vb:
  - uid: System.Object.GetType
    name: GetType
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.object.gettype
  - name: (
  - name: )
- uid: System.Object.MemberwiseClone
  commentId: M:System.Object.MemberwiseClone
  parent: System.Object
  isExternal: true
  href: https://learn.microsoft.com/dotnet/api/system.object.memberwiseclone
  name: MemberwiseClone()
  nameWithType: object.MemberwiseClone()
  fullName: object.MemberwiseClone()
  nameWithType.vb: Object.MemberwiseClone()
  fullName.vb: Object.MemberwiseClone()
  spec.csharp:
  - uid: System.Object.MemberwiseClone
    name: MemberwiseClone
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.object.memberwiseclone
  - name: (
  - name: )
  spec.vb:
  - uid: System.Object.MemberwiseClone
    name: MemberwiseClone
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.object.memberwiseclone
  - name: (
  - name: )
- uid: System.Object.ReferenceEquals(System.Object,System.Object)
  commentId: M:System.Object.ReferenceEquals(System.Object,System.Object)
  parent: System.Object
  isExternal: true
  href: https://learn.microsoft.com/dotnet/api/system.object.referenceequals
  name: ReferenceEquals(object, object)
  nameWithType: object.ReferenceEquals(object, object)
  fullName: object.ReferenceEquals(object, object)
  nameWithType.vb: Object.ReferenceEquals(Object, Object)
  fullName.vb: Object.ReferenceEquals(Object, Object)
  name.vb: ReferenceEquals(Object, Object)
  spec.csharp:
  - uid: System.Object.ReferenceEquals(System.Object,System.Object)
    name: ReferenceEquals
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.object.referenceequals
  - name: (
  - uid: System.Object
    name: object
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.object
  - name: ','
  - name: " "
  - uid: System.Object
    name: object
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.object
  - name: )
  spec.vb:
  - uid: System.Object.ReferenceEquals(System.Object,System.Object)
    name: ReferenceEquals
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.object.referenceequals
  - name: (
  - uid: System.Object
    name: Object
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.object
  - name: ','
  - name: " "
  - uid: System.Object
    name: Object
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.object
  - name: )
- uid: System.Object.ToString
  commentId: M:System.Object.ToString
  parent: System.Object
  isExternal: true
  href: https://learn.microsoft.com/dotnet/api/system.object.tostring
  name: ToString()
  nameWithType: object.ToString()
  fullName: object.ToString()
  nameWithType.vb: Object.ToString()
  fullName.vb: Object.ToString()
  spec.csharp:
  - uid: System.Object.ToString
    name: ToString
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.object.tostring
  - name: (
  - name: )
  spec.vb:
  - uid: System.Object.ToString
    name: ToString
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.object.tostring
  - name: (
  - name: )
- uid: System
  commentId: N:System
  isExternal: true
  href: https://learn.microsoft.com/dotnet/api/system
  name: System
  nameWithType: System
  fullName: System
- uid: System.Action{System.String,Voile.Utils.LogLevel}
  commentId: T:System.Action{System.String,Voile.Utils.LogLevel}
  parent: System
  definition: System.Action`2
  href: https://learn.microsoft.com/dotnet/api/system.action-2
  name: Action<string, LogLevel>
  nameWithType: Action<string, LogLevel>
  fullName: System.Action<string, Voile.Utils.LogLevel>
  nameWithType.vb: Action(Of String, LogLevel)
  fullName.vb: System.Action(Of String, Voile.Utils.LogLevel)
  name.vb: Action(Of String, LogLevel)
  spec.csharp:
  - uid: System.Action`2
    name: Action
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.action-2
  - name: <
  - uid: System.String
    name: string
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.string
  - name: ','
  - name: " "
  - uid: Voile.Utils.LogLevel
    name: LogLevel
    href: Voile.Utils.LogLevel.html
  - name: '>'
  spec.vb:
  - uid: System.Action`2
    name: Action
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.action-2
  - name: (
  - name: Of
  - name: " "
  - uid: System.String
    name: String
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.string
  - name: ','
  - name: " "
  - uid: Voile.Utils.LogLevel
    name: LogLevel
    href: Voile.Utils.LogLevel.html
  - name: )
- uid: System.Action`2
  commentId: T:System.Action`2
  isExternal: true
  href: https://learn.microsoft.com/dotnet/api/system.action-2
  name: Action<T1, T2>
  nameWithType: Action<T1, T2>
  fullName: System.Action<T1, T2>
  nameWithType.vb: Action(Of T1, T2)
  fullName.vb: System.Action(Of T1, T2)
  name.vb: Action(Of T1, T2)
  spec.csharp:
  - uid: System.Action`2
    name: Action
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.action-2
  - name: <
  - name: T1
  - name: ','
  - name: " "
  - name: T2
  - name: '>'
  spec.vb:
  - uid: System.Action`2
    name: Action
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.action-2
  - name: (
  - name: Of
  - name: " "
  - name: T1
  - name: ','
  - name: " "
  - name: T2
  - name: )
- uid: Voile.Utils.Logger.LogPath*
  commentId: Overload:Voile.Utils.Logger.LogPath
  href: Voile.Utils.Logger.html#Voile_Utils_Logger_LogPath
  name: LogPath
  nameWithType: Logger.LogPath
  fullName: Voile.Utils.Logger.LogPath
- uid: System.String
  commentId: T:System.String
  parent: System
  isExternal: true
  href: https://learn.microsoft.com/dotnet/api/system.string
  name: string
  nameWithType: string
  fullName: string
  nameWithType.vb: String
  fullName.vb: String
  name.vb: String
- uid: Voile.Utils.Logger.MaxLogFiles*
  commentId: Overload:Voile.Utils.Logger.MaxLogFiles
  href: Voile.Utils.Logger.html#Voile_Utils_Logger_MaxLogFiles
  name: MaxLogFiles
  nameWithType: Logger.MaxLogFiles
  fullName: Voile.Utils.Logger.MaxLogFiles
- uid: System.Int32
  commentId: T:System.Int32
  parent: System
  isExternal: true
  href: https://learn.microsoft.com/dotnet/api/system.int32
  name: int
  nameWithType: int
  fullName: int
  nameWithType.vb: Integer
  fullName.vb: Integer
  name.vb: Integer
- uid: Voile.Utils.LogLevel
  commentId: T:Voile.Utils.LogLevel
  parent: Voile.Utils
  href: Voile.Utils.LogLevel.html
  name: LogLevel
  nameWithType: LogLevel
  fullName: Voile.Utils.LogLevel
- uid: System.Boolean
  commentId: T:System.Boolean
  parent: System
  isExternal: true
  href: https://learn.microsoft.com/dotnet/api/system.boolean
  name: bool
  nameWithType: bool
  fullName: bool
  nameWithType.vb: Boolean
  fullName.vb: Boolean
  name.vb: Boolean
- uid: Voile.Utils.Logger.#ctor*
  commentId: Overload:Voile.Utils.Logger.#ctor
  href: Voile.Utils.Logger.html#Voile_Utils_Logger__ctor_System_String_
  name: Logger
  nameWithType: Logger.Logger
  fullName: Voile.Utils.Logger.Logger
  nameWithType.vb: Logger.New
  fullName.vb: Voile.Utils.Logger.New
  name.vb: New
- uid: Voile.Utils.Logger.Echo*
  commentId: Overload:Voile.Utils.Logger.Echo
  href: Voile.Utils.Logger.html#Voile_Utils_Logger_Echo_System_String_
  name: Echo
  nameWithType: Logger.Echo
  fullName: Voile.Utils.Logger.Echo
- uid: Voile.Utils.Logger.Info*
  commentId: Overload:Voile.Utils.Logger.Info
  href: Voile.Utils.Logger.html#Voile_Utils_Logger_Info_System_String_System_String_
  name: Info
  nameWithType: Logger.Info
  fullName: Voile.Utils.Logger.Info
- uid: Voile.Utils.Logger.Warn*
  commentId: Overload:Voile.Utils.Logger.Warn
  href: Voile.Utils.Logger.html#Voile_Utils_Logger_Warn_System_String_System_String_
  name: Warn
  nameWithType: Logger.Warn
  fullName: Voile.Utils.Logger.Warn
- uid: Voile.Utils.Logger.Error*
  commentId: Overload:Voile.Utils.Logger.Error
  href: Voile.Utils.Logger.html#Voile_Utils_Logger_Error_System_String_System_String_
  name: Error
  nameWithType: Logger.Error
  fullName: Voile.Utils.Logger.Error
